#1  
Old 12th April 2007, 03:15
albertux albertux is offline
Member
 
Join Date: Sep 2006
Location: Chile
Posts: 90
Thanks: 7
Thanked 0 Times in 0 Posts
Send a message via Skype™ to albertux
Default I need help with PostgreSql

hello again, i need help to solve a problem with the configuration of the PHP, PhpPgAdmin, PostgreSql and ISPConfig, i installed the PostgreSql-7.4 with the "apt-get install" only, and the PhpPgadmin with the
tutorial writen in this site or in the Howtos: Installing Software on ISPConfig ... but i appears the next error:

Its version of PHP does not have the correct support of data bases.

i really don't know how to solve it and i need help, i try to execute this application changing the configurarion file /etc/php5/apache2/php.ini and adding the line in the "dinamic extension section"

extension=pgsql.so

like i read it in some site, but this didn't work either ... i can't understand this error and i can't do the right configuration and i need help to solve it...
Reply With Quote
Sponsored Links
  #2  
Old 12th April 2007, 08:43
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 36,043
Thanks: 826
Thanked 5,384 Times in 4,231 Posts
Default

Which php does not have postgresql support, the ISPConfig php or the PHP for your websites?
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #3  
Old 12th April 2007, 15:13
albertux albertux is offline
Member
 
Join Date: Sep 2006
Location: Chile
Posts: 90
Thanks: 7
Thanked 0 Times in 0 Posts
Send a message via Skype™ to albertux
Default good question

good question, as it would have to do this?, i really don't know, exist some form to prove this?, please can you tell me how to do...

i try to execute phppgadmin form the "tools and option" in the "administation site" with ispconfig ... from here appears the error :

Its version of PHP does not have the correct support of data bases.

i haven't try execute with another form

thank

Last edited by albertux; 12th April 2007 at 15:16.
Reply With Quote
  #4  
Old 12th April 2007, 15:30
albertux albertux is offline
Member
 
Join Date: Sep 2006
Location: Chile
Posts: 90
Thanks: 7
Thanked 0 Times in 0 Posts
Send a message via Skype™ to albertux
Default reviewing

reviewing the phpinfo() function in a site appears this :

PDO Driver for PostgreSQL enabled
PostgreSQL(libpq) Version 8.1.5
Module version 1.0.2
Revision $Id: pdo_pgsql.c,v 1.7.2.11 2006/03/14 10:49:18 edink Exp $

AND

PostgreSQL(libpq) Version 8.1.5
Multibyte character support enabled
SSL support enabled
Active Persistent Links 0
Active Links 0

Directive Local Value Master Value
pgsql.allow_persistent On On
pgsql.auto_reset_persistent Off Off
pgsql.ignore_notice Off Off
pgsql.log_notice Off Off
pgsql.max_links Unlimited Unlimited
pgsql.max_persistent Unlimited Unlimited

reason why I understand that the PHP has the active libreries from the postgresql, but i really don't know I can prove in the ispconfig..
Reply With Quote
  #5  
Old 12th April 2007, 15:52
till till is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 36,043
Thanks: 826
Thanked 5,384 Times in 4,231 Posts
Default

You will have to recompile the ISPConfig php with postgresql. Please have a look here:

http://www.howtoforge.com/forums/showthread.php?t=193
__________________
Till Brehm
--
Get ISPConfig support and the ISPConfig 3 manual from ispconfig.org.
Reply With Quote
  #6  
Old 18th September 2008, 06:04
chaitanyaranade chaitanyaranade is offline
Junior Member
 
Join Date: Sep 2008
Posts: 1
Thanks: 0
Thanked 0 Times in 0 Posts
Thumbs up PhpPgAdmin

Hello,

You can check solution on your issues. Please check the link below. Let me know if you have any further diffculties.
================================================== ========================
Read and respond to this message at:
host.co.in/forums/f37/postgraesql-phppgmyadmin-login-failed-856/
================================================== ========================


chaitanya ranade.
Linux Tech Support Webhosting
(Shared,VPS,Dedicated)
__________________
Thanks & Regards,
Chaitanya Ranade.
Linux Webhosting Support
(Shared,VPS,Dedicated)
Reply With Quote
  #7  
Old 18th September 2008, 08:31
Hans Hans is offline
Moderator
 
Join Date: Dec 2005
Location: Montfoort, The Netherlands
Posts: 2,256
Thanks: 212
Thanked 648 Times in 294 Posts
 
Default

Please have a look here too.

In that readme file you find the info about how to prepair PHP with support for PostgreSQL.

The phpPgAdmin for ISPConfig can be downloaded there as well.
__________________
Hans

MrHostman | Master in managed hosting
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
lets support postgresql through ispconfig sourceview Feature Requests 6 3rd June 2006 06:02
Postgresql Support sourceview Installation/Configuration 2 3rd May 2006 22:19
mydnsconfig with postgresql? chilltier General 1 5th March 2006 22:32
apache and virtual hosts stored in postgresql variable Server Operation 3 28th December 2005 11:48
have postgresql and mysql running simultaneously syslink Feature Requests 1 3rd December 2005 01:29


All times are GMT +2. The time now is 12:41.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.